Subject: Re: [patch 1/5] d80211: remove bitfields from ieee80211_tx_control

From: David Kimdon <[email-masked]>
Date: Tue, 17 Oct 2006 10:26:55 -0700

I am not particularily attached to bitfields or no bitfields.  I am
interested in getting d80211 merged.  Bitfields have been discussed
as an important TODO.  Perhaps this can serve as a starting point for
discussion of the tasks to complete before d80211 is merged?

On Mon, Oct 16, 2006 at 12:34:07PM -0700, Simon Barber wrote:
> Removing the bitfields makes the code much harder to read and maintain.

I agree that we end up with more characters in the file, the bitfield
syntax is more concise.  However, I don't find it 'much' harder to
read or maintain, it is a matter of taste.

> Here we are working around a problem with the compiler by making the
> code ugly - rather than fixing the compiler. The compilers are getting
> better and better (GCC 4 has much better handling of this type of
> optimization) but the code will remain ugly for ever.

Well at least as far as code size goes gcc 4.1.2 still produces
slightly larger code with the bitfields.

-David